友情提示:欢迎光临!本地已启用二维码api网关,地址是https://api.slogra.com

docker php7.4修复pecl/xdebug requires PHP (version >= 8.0.0, version <= 8.2.99), installed version is 7.4.33

post by rocdk890 / 2023-2-24 11:21 Friday linux技术

系统:centos 7.x(64位)
最近看到php官网把php7.4的dockerfile全都给删了,最后的版本是在7.4.33,而我的php镜像是7.4.26,所以打算把我自己的php镜像给升级下,但在build的时候居然出现error: 'xdebug' does not exist.
下面是解决办法:
这里的解决办法是你不想升级到 php8 的方法,安装旧版本的 xdebug 3.1.5.
pecl install xdebug-3.1.5

所以在dockerfile里,可以直接写xdebug-3.1.5 

下面是我php-fpm 7.4.33的dockerfile:
FROM roc...

阅读全文>>

标签: centos php-fpm php docker php7.4.33 xdebug pecl

评论(0) 引用(0) 浏览(1911)